#!/usr/bin/env python3
import sys

def sanitize_file(filename:str,suffix:str)->None:
    """ Given an sh file autogenerated by bilby:
    1. Remove comment lines
    2. For every analysis job, add an '&' to put in the background
    3. For evert analysis jon, redirect it to its own log file
    4. Add a wait before merge
    """
    with open(filename,"r") as fp:
        lst = fp.readlines()

    final = []
    for i,line in enumerate(lst):
        if "#" in line:
            continue
        if "bilby_pipe_analysis" in line:
            final.append(f"{line.strip()} > out_bbh_{suffix}/log_data_analysis/log{i}.out 2>out_bbh_{suffix}/log_data_analysis/log{i}.err &\n")
        elif "bilby_result" in line:
            final.append("wait\n")
            final.append(line)
        else:
            final.append(line)

    new_file = "".join(final)
    with open(filename,"w") as fw:
        fw.write(new_file)


if __name__ == "__main__":
    filename = sys.argv[1]
    suffix = sys.argv[2]
    sanitize_file(filename,suffix)
        
